# quindecim user.js | Fennec F-Droid

I created this project with the intention of creating something really dedicated for Android variants of Firefox.
Taking inspiration from various authors of user.js for Desktop, investigating and evaluating with experts in privacy various parameters dedicated. Giving a description and documentation to discuss each preferences in the better way possible.

## aims

* online security
* more privacy
* better performance
* less unique fingerprint possible


## best use

This user.js has been designed exclusively for Mobile use and you can use on these browsers:

* [Fennec F-Droid](https://f-droid.org/en/packages/org.mozilla.fennec_fdroid/) - F-Droid
* [Firefox Browser](https://play.google.com/store/apps/details?id=org.mozilla.firefox&hl=en_US) - Google Play
* [IceCatMobile](https://f-droid.org/en/packages/org.mozilla.fennec_fdroid/) - F-Droid


## installation

### first root method

1. Download and install Fennec F-Droid form the official [F-Droid client](https://f-droid.org/FDroid.apk) or from the official [F-Droid Website](https://f-droid.org/en/packages/org.mozilla.fennec_fdroid/).
2. Start for the first time (offline mode/no data connections) and wait 5 sec.
3. Close Fennec.
4. Download and move my user.js file in:
data/data/org.mozilla.fennec_fdroid/files/mozilla/[xxxxxxx].default
5. Start Fennec and test if user.js was applied browsing to "about:config" and see if "user.js.applied" is "true".

If this doesn't work I suggest you to use "second root method" below.

### second root method

1. Download and install Fennec F-Droid form the official [F-Droid client](https://f-droid.org/FDroid.apk) or from the official [F-Droid Website](https://f-droid.org/en/packages/org.mozilla.fennec_fdroid/).
2. Download and install [user.js-updater app](https://github.com/v1nc/user.js-updater/releases).
2. Start for the first time (offline mode/no data connections) and wait 5 sec.
4. Close Fennec.
5. Open user.js-updater app.
6. Select the browser you want to apply user.js through the "SELECT BROWSER" bar at the top.
7. Select "quindecim" as the author of user.js you want to apply.
8. Tap "UPDATE" at the bottom and grant root permission to proceed.
9. Start Fennec and test if user.js was applied browsing to "about:config" and see if "user.js.applied" is "true".

Thanks to [v1nc](https://github.com/v1nc/) for this method.


## comparision

You can also compare my user.js with user.js from other authors [HERE](https://quindecim.github.io/index.html/)


## contacts

You can enjoy my [Telegram group](https://t.me/fennec_fdroid) for support, talk about privacy and security topics in general.


## thanks to

I really thank all the authors of user.js from which I took inspiration:

* [pyllyukko](https://github.com/pyllyukko/user.js) - Desktop optimized
* [OrangeManBad](https://git.nixnet.xyz/OrangeManBad/user.js) - Desktop optimized / pyllyukko fork
* [gHacks](https://github.com/ghacksuserjs/ghacks-user.js) - Desktop optimized
* [Librefox Browser](https://github.com/intika/Librefox) - Desktop optimized

## special thanks to

all the members of my Telegram group who support me and give me motivation :)

